curl --request GET \
--url https://api.fabric.inc/v3/inventory-import-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/inventory-import-configs/{id}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/inventory-import-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filePrefix": "oms_",
"groupName": "Location0or2",
"rules": {
"locationFilters": [
{
"condition": "EQ",
"field": "locationNum",
"value": "11245"
},
{
"condition": "IN",
"field": "type",
"values": [
"DC",
"STORE"
]
}
]
},
"id": "821018391"
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Inventory import file config not found for file prefix",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Get inventory import upload file configuration
Get inventory import file configurations containing rules for queried file prefix
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Unique request ID
x-fabric-channel-id identifies the sales channel through which the API request is being made; primarily for multichannel use cases. It is an optional field. The default US channel is 12 while the default Canada channel is 13.
Path Parameters
File prefix
Response
OK
BulkUploadFileConfigResponse info
ID
"oms_"
Group name
"Location0or2"
Rules model
Show child attributes
Show child attributes
{
"locationFilters": [
{
"condition": "EQ",
"field": "locationNum",
"value": "11245"
},
{
"condition": "IN",
"field": "type",
"values": ["DC", "STORE"]
}
]
}
ID
"821018391"
Was this page helpful?
